| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# ParticlePropertySvc.cpp File Reference

## Detailed Description

class ParticlePropertySvc Class

Implement a ParticlePropertySvc

Author:
  : I. Last Modify by : G.Corti 09/11/1999 to read file from LHCBDBASE and introduce find/eraseByStdHepID methods Modified by Vanya BELYAEV to allow readig of additional files to add/replace/modify the existing particle properties

Definition in file ParticlePropertySvc.cpp.

`#include <cstdlib>`
`#include <fstream>`
`#include "GaudiKernel/SvcFactory.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/ParticleProperty.h"`
`#include "GaudiKernel/PhysicalConstants.h"`
`#include "GaudiKernel/IFileAccess.h"`
`#include "ParticlePropertySvc.h"`

Include dependency graph for ParticlePropertySvc.cpp:

Go to the source code of this file.

## Functions
template<class MAP>
void | _remove_ (MAP &m, const ParticleProperty *pp)
template<class MAP>
void | _load_ (MAP &m, ParticlePropertySvc::Set &result)
| load mapped values from maps into set

## Function Documentation

template<class MAP>

void @609::_load_ | ( | MAP & | m,
|  | ParticlePropertySvc::Set & | result |
| ) |  |  | `[static]`

load mapped values from maps into set

Definition at line 476 of file ParticlePropertySvc.cpp.

References std::set< _Key, _Compare, _Alloc >::insert().

Referenced by ParticlePropertySvc::rebuild().

    00477   {
    00478     for ( typename MAP::iterator i = m.begin() ; m.end() != i ; ++i )
    00479     { result.insert ( i->second ); }
    00480   }

template<class MAP>

void @609::_remove_ | ( | MAP & | m,
|  | const ParticleProperty * | pp |
| ) |  |  | `[static]`

Definition at line 305 of file ParticlePropertySvc.cpp.

Referenced by ParticlePropertySvc::erase().

    00306   {
    00307     typename MAP::iterator i = m.begin() ;
    00308     for ( ; m.end() != i ; ++i ) { if ( i->second == pp ) { break ; } }
    00309     if  ( m.end() != i ) { m.erase ( i ) ; }
    00310   }